#ifndef _H_REPORT
#define _H_REPORT

#include "global.h"
#include "mbuffer.h"

#if(REPORT_STATISTIC)
extern void add_new_report_content(VideoParameters* p_Vid,Slice* currSlice,StorablePicture * dec_picture);
extern void report_content(VideoParameters* p_Vid,DecoderReportContent* p_Drc);
extern void clear_report_content(VideoParameters*p_Vid);
#endif

#if(TRACE_RANGE)
  extern void trace_range_open_file( char *fn);
  extern void trace_range_close_file( );
  extern void trace_range_write_cur_range( Slice *currSlice, char* txt);
  extern void trace_range_write_txt( char* txt);
  extern void trace_range_write_num( unsigned int num);
  extern void trace_range_write_CR();
  extern void trace_range_write_mbnum( unsigned int num);
#endif(TRACE_RANGE)

#endif