
/*!
 ************************************************************************
 * \file report.h
 *
 * \brief
 *    headers for frame format related information
 *
 * \author
 *
 ************************************************************************
 */
#ifndef _REPORT_H_
#define _REPORT_H_
#include "contributors.h"
#include "global.h"
#include "enc_statistics.h"

extern void report                ( VideoParameters *p_Vid, InputParameters *p_Inp, StatParameters *p_Stats );
extern void information_init      ( VideoParameters *p_Vid, InputParameters *p_Inp, StatParameters *p_Stats );
#if NOKIA_USTC_3DV
extern void threeDV_information_init( VideoParameters *p_Vid, InputParameters *p_Inp, StatParameters *p_Stats );
#endif
extern void report_frame_statistic( VideoParameters *p_Vid, InputParameters *p_Inp );
extern void report_stats_on_error (void);

#if(TRACE_RANGE)
  extern void trace_range_open_file( char *fn);
  extern void trace_range_close_file( );
  extern void trace_range_flush( );
  extern void trace_range_write_cur_range( VideoParameters *p_Vid, char* txt);
  extern void trace_range_write_txt( char* txt);
  extern void trace_range_write_num( unsigned int num);
  extern void trace_range_write_CR();
  extern void trace_range_write_mbnum( unsigned int num);
#endif(TRACE_RANGE)

#endif

