#ifndef _ATMDEC_LOG_4_ANALYSIS_
#define _ATMDEC_LOG_4_ANALYSIS_

#include "global.h"

#include <stdio.h>

#ifdef _WIN32
#include <crtdbg.h>
#endif // _WIN32

// macrodefinitions for saving of additional data
#define _DUMP_PREDICTORS_ 0
#define PRINT_QP_VALUE    1

#if(DECLOG4ANALYSIS)
extern int ADL4A_Init( char* h264fn);
extern void ADL4A_Deinit();
extern int  ADL4A_Open( Slice *currSlice);
extern int ADL4A_WriteHeader( Slice *currSlice, double lambda);
extern void ADL4A_SetMBInfo( Macroblock* currMB, double cost, int wb, int tb, int mb, int saveStCodType);
	#if(SMRC_3DV && (0 != SMRC_SILENT_ALC_4_PSKIP || _DUMP_PREDICTORS_))
	extern void ADL4A_SetMBDopInfo( Macroblock* currMB, double cost, int wb, int tb, int mb, int saveStCodType);
	#endif
extern int ADL4A_SavePictureData();
#endif//(DECLOG4ANALYSIS)

#endif // _ATMDEC_LOG_4_ANALYSIS_
